MNOGoSearch Search.CGI TMPLT Buffer Overflow Vulnerability

mnoGoSearch 'search.cgi' has been reported prone to a buffer overflow vulnerability.

The issue is a result of a lack of sufficient bounds checking performed on user-supplied URI parameters that are passed to the 'search.cgi' application.

It may be possible for an attacker to exploit this vulnerability and have arbitrary code executed in the context of the web-server process.


 

Privacy Statement
Copyright 2010, SecurityFocus